summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2019-09-13 16:19:57 +0800
committerJason Zaman <perfinion@gentoo.org>2019-09-13 21:32:19 +0800
commit2b8afab7fa12e91fe579199e47f4a494102160bb (patch)
tree8777f23e84339696321feec5e7734926f28d5f55 /sci-visualization
parentdev-python/opt-einsum: new package 3.0.1 (diff)
downloadgentoo-2b8afab7fa12e91fe579199e47f4a494102160bb.tar.gz
gentoo-2b8afab7fa12e91fe579199e47f4a494102160bb.tar.bz2
gentoo-2b8afab7fa12e91fe579199e47f4a494102160bb.zip
sci-visualization/tensorboard: bump 1.15.0
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Jason Zaman <perfinion@gentoo.org>
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/tensorboard/Manifest1
-rw-r--r--sci-visualization/tensorboard/tensorboard-1.15.0.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/sci-visualization/tensorboard/Manifest b/sci-visualization/tensorboard/Manifest
index 07af54fe92d..3a834787fa3 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1,2 +1,3 @@
DIST tensorboard-1.13.1.zip 3187614 BLAKE2B e1b8cb43f7941b843e4fa8c84746f4b341e7c7e246422182eec9e1d3e2a5c367fb818c8e3ddd20cb6b5f64515a986dc5e814728340f0592d346dc55ec6065648 SHA512 d1581b7f694909e94a09d4c3fb2d34ddc31a18a6a09323ef48221e88560a9ec3bbb050ff12a2cd78607a2545053cabc448eab7264036a54dddc4720becfc44b3
DIST tensorboard-1.14.0.zip 3149160 BLAKE2B 85a3544c2274757cdfb99e3d82751082415d9283a68808de50c4b14662542bd278db3320560cb39aee6bb62d1434dedfa720cfc83b7d464d99256cfe46081f78 SHA512 b19856b1c252b22e472efb9b91ea5c4509d0c3a9d5f99071dea04325e2346b37967b0be151227d150cf013aee5ae6f6273cd311085f4c6b1ca8021d14c2cf562
+DIST tensorboard-1.15.0.zip 3765194 BLAKE2B 54a9987b65d4e2b127789f0e66eb5bdef8c024d19a82867632b44eefc4718bc6eb6c68fa61fdb2306af2c3adbacc3c75ec15f7aa331038b15cec27af2d846f85 SHA512 7b47d60929b4be91b4d56e36fc5a19b79511b8f3a1081fe308d3a107f978f2c5d23ad2d209104de983bc44f4506cdb0cb6e09b37e552dc042600ea16e14827dc
diff --git a/sci-visualization/tensorboard/tensorboard-1.15.0.ebuild b/sci-visualization/tensorboard/tensorboard-1.15.0.ebuild
new file mode 100644
index 00000000000..7c8540d2dd1
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-1.15.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+inherit python-r1 python-utils-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/"
+SRC_URI="https://files.pythonhosted.org/packages/py3/${PN::1}/${PN}/${P}-py3-none-any.whl -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ virtual/python-futures[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip
+ ${PYTHON_DEPS}"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ eapply_user
+
+ rm -rf "${S}/${PN}/_vendor/bleach" || die
+ rm -rf "${S}/${PN}/_vendor/html5lib" || die
+ sed -i -e '/_vendor.bleach/d' -e '/_vendor.html5lib/d' "${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+
+ find "${S}/${PN}" -name '*.py' -exec sed -i \
+ -e 's/^from tensorboard\._vendor import html5lib/import html5lib/' \
+ -e 's/^from tensorboard\._vendor import bleach/import bleach/' \
+ -e 's/^from tensorboard\._vendor\.html5lib/from html5lib/' \
+ -e 's/^from tensorboard\._vendor\.bleach/from bleach/' \
+ {} + || die "failed to unvendor"
+}
+
+src_install() {
+ do_install() {
+ python_domodule "${PN}"
+ python_domodule "${P}.dist-info"
+ }
+ python_foreach_impl do_install
+}